> ## Documentation Index
> Fetch the complete documentation index at: https://docs.li.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# List supported protocols

> Returns the list of protocols that have at least one vault available. Derived from current vault data.



## OpenAPI

````yaml /earn-openapi.yaml get /v1/protocols
openapi: 3.0.0
info:
  title: LI.FI Earn API
  description: Enterprise DeFi yield discovery and tracking API
  version: 0.1.0
  contact: {}
servers:
  - url: https://earn.li.fi
    description: Production
security:
  - x-lifi-api-key: []
tags: []
paths:
  /v1/protocols:
    get:
      tags:
        - Earn Protocols
      summary: List supported protocols
      description: >-
        Returns the list of protocols that have at least one vault available.
        Derived from current vault data.
      operationId: ProtocolsController_getProtocols_v1
      parameters: []
      responses:
        '200':
          description: Supported protocols
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  additionalProperties: false
                  required:
                    - name
                    - url
                  properties:
                    name:
                      type: string
                      description: Protocol display name.
                      example: Morpho
                    logoUri:
                      type: string
                      description: URL to the protocol's logo image.
                      example: https://example.com/morpho-logo.png
                    url:
                      type: string
                      description: Protocol website URL.
                      example: https://morpho.org
              example:
                - name: Morpho
                  logoUri: https://example.com/morpho-logo.png
                  url: https://morpho.org
                - name: Aave V3
                  logoUri: https://example.com/aave-logo.png
                  url: https://aave.com
                - name: Euler
                  logoUri: https://example.com/euler-logo.png
                  url: https://www.euler.finance
components:
  securitySchemes:
    x-lifi-api-key:
      type: apiKey
      in: header
      name: x-lifi-api-key

````